Subject: Re: Setup.ini file for Silent Install
From: Christoph Herdeg <[email-masked]>
To: [email-masked]
Cc: Jonathan Cummings <[email-masked]>
Date: Thu, 25 Mar 2010 12:39:22 +0100
List-Id: <cygwin.cygwin.com>

Hello Jonathan,

I can't stand seeing this question come up every week again... Yes, this is
definitely possible, but due to Cygwin's completely crappy installer
(setup.exe) it's a real pain in the ass. Given is a destination directory
of "c:\cygwin":

- First you need to create a customized installation on one machine using
the "Download Only" option in setup.exe.

- Then you need to modify the resulting setup.ini file so that all the
packages you selected for your custom setup belong to "category:
base" (Personally I use Notepad++'s regular expression S&Rep. for this
action: 2.) Find: "category: *.*",  replace with: "category: base"). An
example:

      Original:
      @ aewm++
      sdesc: "bla"
      ldesc: "bla"
      category: X11

      Modified:
      @ aewm++
      sdesc: "bla"
      ldesc: "bla"
      category: base

- Now you need have the following directory structure:

      "c:\cygwin\cygwin_mirror\"
      "c:\cygwin\cygwin_mirror\release"
      "c:\cygwin\cygwin_mirror\release"\ ~ your packages in their
subfolders ~
      "c:\cygwin\cygwin_mirror\setup.exe"
      "c:\cygwin\cygwin_mirror\setup.ini"

- As penultimate step you need to create parts of the destination directory
structure. If your destination directory is "c:\cygwin", please create
"c:\cygwin\etc\setup".

- As last step before actually running setup.exe you need to create three
files in your destination directory structure:

      "c:\cygwin\etc\setup\last-action" - with content: "Install"
      "c:\cygwin\etc\setup\last-cache" - with content: "\etc\setup
\last-cache"
      "c:\cygwin\etc\setup\last-mirror" - with content: "cygwin_mirror"

- Finally you can run setup.exe with commandline switches "-q" and "-R",
followed from your destination directioy, e.g. "setup.exe -q -R c:\cygwin"

- If you want to configure something automatically after running setup.exe,
write a customization shellscript and copy it to "c:\cygwin\etc\profile.d".
Then start Cygwin by running "bash --login -i" from within "c:\cygwin\bin".

I use AutoIT and NSI to build a completely unattended installer running the
Cygwin installation including sshd-configuration and other things. It's
quite a task, but nevertheless doable.
                                                                       
 Mit freundlichen Grüßen / with                                    
 kind regards                                                          
                                                                       
 Christoph Herdeg                                                      

 Christoph Herdeg                Contact                                      IBM Deutschland Research &
 Windows Infrastructure Support  Information                                  Development GmbH
 Information Management                                                       Vorsitzender des Aufsichtsrats:
 Development                                                                  Martin Jetter
 IBM Software Group                                                           Geschäftsführung: Erich Baier
                                                                              Sitz der Gesellschaft:
                                                                              Böblingen
                                                                              Registergericht: Amtsgericht
                                                                              Stuttgart,
                                                                              HRB 243294
                                                                       
                                 mail:       [email-masked]
                                 fon:        49-7031-16-1039 (tie line 
                                 fax:        *120-1039)                
                                 address:    49-7031-16-4891           
                                             Schönaicher Str. 220    
                                             71032-03 Böblingen      
                                                                       
 visit IBM Deutschland Research                                        
       & Development GmbH                                              

                                                                                                                                              
  From:       Jonathan Cummings <[email-masked]>                                                                              
                                                                                                                                              
  To:         <[email-masked]>                                                                                                             
                                                                                                                                              
  Date:       25.03.2010 10:03                                                                                                                
                                                                                                                                              
  Subject:    Setup.ini file for Silent Install                                                                                               
                                                                                                                                              
  Sent by:    [email-masked]                                                                                                         

Sir/Madam,
Is it possible to get a setup.ini file to use along side setup.exe to allow
us to install cygwin on multiple servers in our organisation?  -I would
then like to add the details of the packages to be installed in to the
setup.ini file for a silent installation across network on to our windows
servers.
Regards,
Jonathan
_________________________________________________________________
Do you have a story that started on Hotmail? Tell us now
http://clk.atdmt.com/UKM/go/195013117/direct/01/

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple